Subject: Re: bug#47574: 'match' face is too bright

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Apr 2021 09:39:43 +0300

> From: Dmitry Gutov <[email-masked]>
> Date: Sat, 3 Apr 2021 02:42:43 +0300
> 
> Split off from the discussion in bug#47012.
> 
> I think the current "yellow1" is too bright and in-your-face.
> 
> It handles its goal (having the matched substrings noticed) admirably, 
> but perhaps too well, because we normally don't want to reach each 
> match, but rather the contents of the line around it. So I think it's 
> not productive putting so much visual attention on it.

If someone wants to see the lines without the match standing out, they
can customize list-matching-lines-face to nil.  So this use case is
already covered.

FTR, I do want to see the match itself, so this face does its job for
me very well.

> Juri suggested #ffff88, and it seems good to me. Both readable and 
> noticeable, yet not too bright.
> 
> My original suggestions were "lemon chiffon" (seems ideally subdued to 
> me, but it would be a drastic change), "khaki1" or "light goldenrod".

If we change the face's colors, we should make sure the new colors
look well on both light and dark backgrounds.